> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes

> Retrieves a list of disputes



## OpenAPI

````yaml /openapi.yaml get /dispute/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /dispute/list:
    get:
      tags:
        - dispute
      summary: List disputes
      description: Retrieves a list of disputes
      operationId: listDisputes
      parameters:
        - in: query
          name: created_at.after
          description: >-
            Return disputes created after this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at.before
          description: >-
            Return disputes created before this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: status
          description: Return disputes which match the provided statuses.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DisputeStatus'
        - in: query
          name: code
          description: >-
            Filter disputes by code. Provide multiple values to query disputes
            with any of the provided codes.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DisputeCode'
        - in: query
          name: type
          description: Filter by payment flow type on the associated intent
          schema:
            type: string
            enum:
              - push
              - card_only
        - in: query
          name: cursor
          description: The cursor for the next page of results to fetch
          required: false
          schema:
            type: string
            example: vjl8vk3l4o8dhsjlzh==
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Dispute'
                  next_cursor:
                    $ref: '#/components/schemas/Cursor'
                required:
                  - data
                  - next_cursor
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    DisputeStatus:
      type: string
      description: The status of the dispute
      enum:
        - created
        - won
        - lost
      x-enumDescriptions:
        created: The dispute is pending
        won: The dispute was won
        lost: The dispute was lost
    DisputeCode:
      type: string
      description: The associated network code for the exception
      enum:
        - '10.1'
        - '10.2'
        - '10.3'
        - '10.4'
        - '10.5'
        - '11.1'
        - '11.2'
        - '11.3'
        - '12.1'
        - '12.2'
        - '12.3'
        - '12.4'
        - '12.5'
        - '12.6'
        - '12.7'
        - '13.1'
        - '13.2'
        - '13.3'
        - '13.4'
        - '13.5'
        - '13.6'
        - '13.7'
        - '13.8'
        - '13.9'
        - '4837'
        - '4840'
        - '4849'
        - '4863'
        - '4870'
        - '4871'
        - '4807'
        - '4808'
        - '4812'
        - '4834'
        - '4831'
        - '4842'
        - '4846'
        - '4850'
        - '4999'
        - '4853'
        - '4841'
        - '4854'
        - '4855'
        - '4859'
        - '4860'
        - R01
        - R02
        - R03
        - R04
        - R05
        - R06
        - R07
        - R08
        - R09
        - R10
        - R11
        - R12
        - R13
        - R14
        - R15
        - R16
        - R17
        - R18
        - R19
        - R20
        - R21
        - R22
        - R23
        - R24
        - R25
        - R26
        - R27
        - R28
        - R29
        - R30
        - R31
        - R32
        - R33
        - R34
        - R35
        - R36
        - R37
        - R38
        - R39
        - R40
        - R41
        - R42
        - R43
        - R44
        - R45
        - R46
        - R47
        - R50
        - R51
        - R52
        - R53
        - R61
        - R62
        - R67
        - R68
        - R69
        - R70
        - R71
        - R72
        - R73
        - R74
        - R75
        - R76
        - R77
        - R80
        - R81
        - R82
        - R83
        - R84
        - R85
      x-enumDescriptions:
        '4807': Warning Bulletin File
        '4808': Authorization-Related Chargeback
        '4812': Account Number Not On File
        '4831': Transaction Amount Differs
        '4834': Point-of-Interaction Error
        '4837': No Cardholder Authorization
        '4840': Fraudulent Processing of Transactions
        '4841': Canceled Recurring or Digital Goods Transactions
        '4842': Late Presentment
        '4846': Correct Transaction Currency Code Not Provided
        '4849': Questionable Merchant Activity
        '4850': Installment Billing Dispute
        '4853': Cardholder Dispute
        '4854': Cardholder Dispute—Not Elsewhere Classified (U.S. Region Only)
        '4855': Goods or Services Not Provided
        '4859': Addendum, No-show, or ATM Dispute
        '4860': Credit Not Processed
        '4863': Cardholder Does Not Recognize—Potential Fraud
        '4870': Chip Liability Shift
        '4871': Chip/PIN Liability Shift
        '4999': Domestic Chargeback Dispute (Europe Region Only)
        '10.1': EMV Liability Shift Counterfeit Fraud
        '10.2': EMV Liability Shift Non-Counterfeit Fraud
        '10.3': Other Fraud - Card Present Environment
        '10.4': Other Fraud - Card Absent Environment
        '10.5': Visa Fraud Monitoring Program
        '11.1': Card Recovery Bulletin or Exception File
        '11.2': Declined Authorization
        '11.3': No Authorization
        '12.1': Late Presentment
        '12.2': Incorrect Transaction Code
        '12.3': Incorrect Currency
        '12.4': Incorrect Transaction Account Number
        '12.5': Incorrect Transaction Amount
        '12.6': Duplicate Processing or Paid by Other Means
        '12.7': Invalid Data
        '13.1': Services Not Provided or Merchandise Not Received
        '13.2': Cancelled Recurring Transaction
        '13.3': Not as Described or Defective Merchandise/Services
        '13.4': Counterfeit Merchandise
        '13.5': Misrepresentation of the purchased good and/or service
        '13.6': Credit Not Processed
        '13.7': Cancelled Merchandise/Services
        '13.8': Original Credit Transaction Not Accepted
        '13.9': Non-Receipt of Cash or Load Transaction Value at ATM
        R01: Insufficient Funds
        R02: Account Closed
        R03: No Account/ Unable to Locate Account
        R04: Invalid Account Number Structure
        R05: Unauthorized Debit to Consumer Account Using Corporate SEC Code
        R06: Returned per ODFI’s Request
        R07: Authorization Revoked by Customer
        R08: Payment Stopped
        R09: Uncollected Funds
        R10: Customer Advises Not Authorized
        R11: Check Truncation Entry Return
        R12: Account Sold to Another DFI
        R13: Invalid ACH Routing Number
        R14: Representative Payee Deceased or Unable to Continue in That Capacity
        R15: Beneficiary or Account Holder Deceased
        R16: Account Frozen/Entry Returned Per OFAC Instruction
        R17: File Record Edit Criteria/Entry with Invalid Account Number
        R18: Improper Effectove Entry Date
        R19: Amount Field Error
        R20: Non-Transaction Account
        R21: Invalid Company Identification
        R22: Invalid Individual ID Number
        R23: Credit Entry Refused by Receiver
        R24: Duplicate Entry
        R25: Addenda Error
        R26: Mandatory Field Error
        R27: Trace Number Error
        R28: Routing Number Check Digit Error
        R29: Corporate Customer Advises Not Authorized
        R30: RDFI Not Participant in Check Truncation Program
        R31: Permissible Return Entry (CCD and CTX only)
        R32: RDFI Non- Settlement
        R33: Return of XCK Entry
        R34: Limited Participation DFI
        R35: Return of Improper Debit Entry
        R36: Return of Improper Credit Entry
        R37: Source Document Presented for Payment
        R38: Stop Payment on Source Document
        R39: Improper Source Document/ Source Document Presented for Payment
        R40: Return of ENR Entry by Federal Government Agency
        R41: Invalid Transaction Code
        R42: Routing Number/Check Digit Error
        R43: Invalid DFI Account Number
        R44: Invalid Individual ID Number/ Identification Number
        R45: Invalid Individual Name/Company Name
        R46: Invalid Representative Payee Indicator
        R47: Duplicate Enrollment
        R50: State Law Affecting RCK Acceptance
        R51: Item Related to RCK Entry is Ineligible or RCK Entry is Improper.
        R52: Stop Payment on Item Related to RCK Entry
        R53: Item and RCK Entry Presented for Payment
        R61: Misrouted Return
        R62: Return of Erroneous or Reversing Debit
        R67: Duplicate Return
        R68: Untimely Return
        R69: Field Error(s)
        R70: Permissible Return Entry Not Accepted/ Return Not Requested by ODFI
        R71: Misrouted Dishonored Return
        R72: Untimely Dishonored Return
        R73: Timely Original Return
        R74: Corrected Return
        R75: Return Not a Duplicate
        R76: No Errors Found
        R77: Non-Acceptance of R62 Dishonored Return
        R80: IAT Entry Coding Error
        R81: Non-Participant in IAT Program
        R82: Invalid Foreign Receiving DFI Identification
        R83: Foreign Receiving DFI Unable to Settle
        R84: Entry Not Processed by Gateway
        R85: Incorrectly Coded Outbound International Payment
    Dispute:
      type: object
      description: A dispute received from the payment network tied to an intent
      example:
        id: dispute_0293cj9ru032lisdjow
        amount: 10000
        currency: USD
        created_at: '2023-05-24T20:36:50.694Z'
        intent_id: intent_sandbox_dMggQ93ZYH6DH9LBhVeijE
        code: R01
        status: created
        type: push
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        amount:
          type: integer
          description: >-
            Amount for the transaction, in smallest unit of specified currency
            (ie if currency is USD, the unit would be cents)
        currency:
          $ref: '#/components/schemas/Currency'
        created_at:
          type: string
          format: date-time
          description: When the dispute was created (ISO 8061 date string)
        intent_id:
          type: string
          description: The intent which corresponds to the dispute
        code:
          $ref: '#/components/schemas/DisputeCode'
        status:
          $ref: '#/components/schemas/DisputeStatus'
        type:
          type: string
          enum:
            - push
            - card_only
          description: The payment flow type for the intent associated with the dispute
      required:
        - id
        - amount
        - currency
        - created_at
        - intent_id
        - code
        - status
        - type
    Cursor:
      type: string
      nullable: true
      description: >
        Use cursor for paginating list endpoints in conjunction with the cursor
        request parameter. 


        In a response, the value is null if there are no more results to fetch.
      example: vjl8vk3l4o8dhsjlzh==
    error:
      description: Description of the error encountered from the API request
      type: object
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````